# Visualization
TKV3d
StdSelect

# StdSelect_SensitiveText2d Class Reference

A framework to define a sensitive text entity for 2D views.
.

`#include <StdSelect_SensitiveText2d.hxx>`

Inheritance diagram for StdSelect_SensitiveText2d:

[legend]

## Public Member Functions

Standard_EXPORT | StdSelect_SensitiveText2d (const Handle(SelectBasics_EntityOwner)&anOwnerId, const TCollection_ExtendedString &aString, const Standard_Real XPox, const Standard_Real YPos, const Standard_Real Angle=0, const Standard_Integer aFontIndex=-1)
| Constructs a sensitive 2D text object defined by the owner anOwnerId, the string aString, the point defined by the parameters XPos and YPos, the angle Angle and the font index aFontIndex. .
Standard_Boolean | NeedsConversion () const
| returns Standard_True
virtual Standard_EXPORT void | Convert (const Handle(Select2D_Projector)&aTextProj)
| gets the size of the text in the 2d view
Standard_EXPORT void | Areas (SelectBasics_ListOfBox2d &aresult)
| to be implemented specifically by each type of sensitive primitive .
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin)
| returns True if the object is very close to the sensitive areas it gave to the selector... returns the minimum distance found if no match; to be implemented specifically by each type of sensitive primitive .
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)
| returns True if the box (Xmin,YMin)------(Xmax,Ymax) contains the SensitiveEntity. Necessary for selection using elastic boxes,or segments.
Standard_EXPORT Standard_Boolean | Matches (const TColgp_Array1OfPnt2d &Polyline, const Bnd_Box2d &aBox, const Standard_Real aTol)
| Free contur selection for 2d is not defined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_ExtendedString | mytext
Standard_Real | myxpos
Standard_Real | myypos
Standard_Real | myangle
Standard_Integer | myfont
Bnd_Box2d | myinitbox

## Constructor & Destructor Documentation

Standard_EXPORT StdSelect_SensitiveText2d::StdSelect_SensitiveText2d | ( | const Handle(SelectBasics_EntityOwner)& | anOwnerId,
|  | const TCollection_ExtendedString & | aString,
|  | const Standard_Real | XPox,
|  | const Standard_Real | YPos,
|  | const Standard_Real | Angle = `0`,
|  | const Standard_Integer | aFontIndex = `-1`
| ) |

## Member Function Documentation

Standard_EXPORT void StdSelect_SensitiveText2d::Areas | ( | SelectBasics_ListOfBox2d & | aresult | ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

virtual Standard_EXPORT void StdSelect_SensitiveText2d::Convert | ( | const Handle(Select2D_Projector)& | aTextProj | ) | `[virtual]`

| Reimplemented from Select2D_SensitiveEntity.

Standard_EXPORT const StdSelect_SensitiveText2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select2D_SensitiveEntity.

Standard_EXPORT Standard_Boolean StdSelect_SensitiveText2d::Matches | ( | const TColgp_Array1OfPnt2d & | Polyline,
|  | const Bnd_Box2d & | aBox,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Reimplemented from Select2D_SensitiveEntity.

Standard_EXPORT Standard_Boolean StdSelect_SensitiveText2d::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT Standard_Boolean StdSelect_SensitiveText2d::Matches | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_Boolean StdSelect_SensitiveText2d::NeedsConversion | ( |  | ) | const`[inline, virtual]`

| Reimplemented from Select2D_SensitiveEntity.

## Field Documentation

Standard_Real StdSelect_SensitiveText2d::myangle `[private]`

Standard_Integer StdSelect_SensitiveText2d::myfont `[private]`

Bnd_Box2d StdSelect_SensitiveText2d::myinitbox `[private]`

TCollection_ExtendedString StdSelect_SensitiveText2d::mytext `[private]`

Standard_Real StdSelect_SensitiveText2d::myxpos `[private]`

Standard_Real StdSelect_SensitiveText2d::myypos `[private]`

The documentation for this class was generated from the following files:

- StdSelect_SensitiveText2d.hxx
- StdSelect_SensitiveText2d.lxx